Consent Management
Submit OAuth Authorization
Completes a request for authorization of a Connected App.
POST
C#
Completes a request for authorization of a Connected App to access a User’s account.
Call this endpoint using the query parameters from an OAuth Authorization request, after previously validating those parameters using the Preflight Check API.
Note that this endpoint takes in a few additional parameters the preflight check does not -
If the authorization was successful, the
state, nonce, and code_challenge.
We recommend configuring a Custom Domain whenever possible. This ensures the issuer on authorization responses matches the advertised issuer.
redirect_uri will contain a valid authorization_code embedded as a query parameter.
If the authorization was unsuccessful, the redirect_uri will contain an OAuth2.1 error_code. In both cases, redirect the user to the location for the response to be consumed by the Connected App.
Exactly one of the following must be provided to identify the user granting authorization:
user_idsession_tokensession_jwt
session_token or session_jwt is passed, the OAuth Authorization will be linked to the User’s session for tracking purposes. One of these fields must be used if the Connected App intends to complete the Exchange Access Token flow.Authorizations
Body
application/json
Request type
Response
Successful response